name: micro
version: git
summary: A modern and intuitive terminal-based text editor
description: |
  Micro is a terminal-based text editor that aims to be easy to use and
  intuitive, while also taking advantage of the full capabilities of modern
  terminals.
confinement: classic

apps:
  micro:
    command: bin/micro

parts:
  go:
    source-tag: go1.10
  micro:
    after: [go]
    source: .
    source-type: git
    plugin: nil
    build-packages: [make]
    prepare: |
      mkdir -p ../go/src/github.com/zyedidia/micro
      cp -R . ../go/src/github.com/zyedidia/micro
    build: |
      export GOPATH=$(pwd)/../go
      export GOBIN=$(pwd)/../go/bin
      cd ../go/src/github.com/zyedidia/micro
      make install
    install: |
      mkdir $SNAPCRAFT_PART_INSTALL/bin
      mv ../go/bin/micro $SNAPCRAFT_PART_INSTALL/bin/
